/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "action.h"
#include "../../debug/log.h"

typedef struct {
  void (*done)();
} shuffledata_t;

pokeraction_t actionShuffle();

void actionShuffleInit(int32_t index, void *data);

void actionShuffleUpdate(int32_t index, void *data);

void actionShuffleDispose(int32_t index, void *data);